Skip to content

Watch a code

PUT
/watchlists/{code}
curl --request PUT \
--url https://api.firmsapi.com/v1/watchlists/E430 \
--header 'x-api-key: <x-api-key>'

Idempotent: watching a code twice keeps the original created_at. The code must be on the FIRMS list (deleted codes are fine). Does not count toward your monthly calls.

code
required
Code

4-character FIRMS code.

string
/^[A-Za-z0-9]{4}$/

4-character FIRMS code.

OK

Media type application/json
WatchEntryResponse
object
data
required
WatchEntry
object
code
required
Code
string
created_at
required
Created At
string
facility
required
Any of:
FacilitySummary
object
code
required
Code
string
name
required
Name
string
status
required
Status
string
Allowed values: active deleted
type
required
Any of:
FacilityType
object
code
required
Code
string
label
required
Label
string
city
required
Any of:
string
state
required
Any of:
string
port
required
Any of:
string
meta
required
Meta
object
data_as_of
required
Any of:
string
source
required
Any of:
string
mode
required
Any of:
string
Allowed values: live test
build_id
Any of:
string
request_id
Any of:
string

Example

{
"data": {
"facility": {
"status": "active",
"type": {
"code": "03",
"label": "Pier or terminal"
}
}
},
"meta": {
"mode": "live"
}
}

Invalid request (not counted).

Media type application/json
ErrorResponse
object
error
required
ErrorBody
object
code
required
Code

Stable, machine-readable error code.

string
message
required
Message
string
links
required
Links

docs always; billing, buy_pack, upgrade when they help.

object
key
additional properties
string
details
Details
meta
Any of:
Meta
object
data_as_of
required
Any of:
string
source
required
Any of:
string
mode
required
Any of:
string
Allowed values: live test
build_id
Any of:
string
request_id
Any of:
string

Example

{
"error": {
"code": "quota_exceeded"
},
"meta": {
"mode": "live"
}
}

Missing, invalid or revoked API key.

Media type application/json
ErrorResponse
object
error
required
ErrorBody
object
code
required
Code

Stable, machine-readable error code.

string
message
required
Message
string
links
required
Links

docs always; billing, buy_pack, upgrade when they help.

object
key
additional properties
string
details
Details
meta
Any of:
Meta
object
data_as_of
required
Any of:
string
source
required
Any of:
string
mode
required
Any of:
string
Allowed values: live test
build_id
Any of:
string
request_id
Any of:
string

Example

{
"error": {
"code": "quota_exceeded"
},
"meta": {
"mode": "live"
}
}

Your plan does not include this endpoint (not counted).

Media type application/json
ErrorResponse
object
error
required
ErrorBody
object
code
required
Code

Stable, machine-readable error code.

string
message
required
Message
string
links
required
Links

docs always; billing, buy_pack, upgrade when they help.

object
key
additional properties
string
details
Details
meta
Any of:
Meta
object
data_as_of
required
Any of:
string
source
required
Any of:
string
mode
required
Any of:
string
Allowed values: live test
build_id
Any of:
string
request_id
Any of:
string

Example

{
"error": {
"code": "quota_exceeded"
},
"meta": {
"mode": "live"
}
}

Not found (counted: it is a lookup result).

Media type application/json
ErrorResponse
object
error
required
ErrorBody
object
code
required
Code

Stable, machine-readable error code.

string
message
required
Message
string
links
required
Links

docs always; billing, buy_pack, upgrade when they help.

object
key
additional properties
string
details
Details
meta
Any of:
Meta
object
data_as_of
required
Any of:
string
source
required
Any of:
string
mode
required
Any of:
string
Allowed values: live test
build_id
Any of:
string
request_id
Any of:
string

Example

{
"error": {
"code": "quota_exceeded"
},
"meta": {
"mode": "live"
}
}